Subject: [Sipping] Comments on saito-mmusic-sdp-ike

From: Rémi Denis-Courmont <[email-masked]>
Date: Fri, 27 Jul 2007 01:17:29 +0300

Hey,

Some somewhat cosmetic comments:

* I really do not like "udp-setup"; UDP does not have a notion of connection 
direction, for it does not have connections at all. You could probably 
use "ike-setup", but I would recommend (ab)using COMEDIA "setup". ICE-TCP 
already does (uses setup for TLS direction instead of TCP direction).

* As pointed out by MMUSIC chairs, the m= line syntax is wrong, as there is no 
application/IKE MIME type. It should probably be
"UDP/IKE *"
instead of
"UDP IKE"

* In security considerations, you may want to clarify why SRTP must still be 
used for end-to-end security. I reckon the point is that the remote tunnel 
endpoint may be distinct from the remote RTP endpoint. By the way, any reason 
why you only specify tunnel mode? With ICE, it could work in transport mode 
too.

Otherwise, the document looks good to me.

I feel it fits better in SIPPING than MMUSIC, but I defer to the respective WG 
chairs for obvious reasons.

Regards,

-- 
Rémi Denis-Courmont

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Makoto SAITO <[email-masked]>
Date: Fri, 27 Jul 2007 09:06:24 +0900

Hi Rémi,

Thank you for the review.

> already does (uses setup for TLS direction instead of TCP direction).

In fact, I didn't know what was a better way to indicate the direction
of IKE (hopefully UDP for a generic use) so this is what I wanted to
take a feedback from WG. And "setup" might be a popular way here.

> application/IKE MIME type. It should probably be

Thank you for your comment.

> why you only specify tunnel mode? With ICE, it could work in transport mode 

Yes, the reason that SRTP must be used for end-to-end security
is the VPN just provides the security between the remote terminal
and the local network. And as you pointed, transport mode can also
be used with SDP-IKE, and it will provide end-to-end security.
I've only mentioned tunnel mode IPsec for VPN use in our draft,
so there remains a room to describe it, too.

> chairs for obvious reasons.

Thank you very much,

-- 
Makoto Saito